public class ExperimentConfiguration {
   public ExperimentConfiguration () {           
      float hight = 3f;      // f: float
      FixedHook hook = new FixedHook(hight);  
      float mass = 1f;       // [k]
      hight = 2.0f;           // [m]
      float speed = 0.00f;   // [m/s]
      Block block = new Block(mass, hight, speed); 
      float restLength = 1.5f;   // [m]
      float stiffness = 20f;    // [N/m]
      Spring spring = new Spring (restLength, stiffness); 
      spring.attachAEnd(hook);    
      spring.attachBEnd(block);
      elements = new PhysicsElement[3];
      elements[0] = hook;
      elements[1] = spring;
      elements[2] = block;
   }
   public void addItselfTo (MyWorld world) {
      for ( PhysicsElement e: elements )
         world.addElement (e);
   }
   private PhysicsElement[] elements;
}    