import java.util.*;

public class FixedHook extends AttachableElement  {
   private static int id=0;
   private double pos_t;     // current position at time t
   private Vector<Spring> springs;  // Vector can grow, arrays cannot. 
   
   private FixedHook(){   // nobody can create a block without state
     super(id++);
   }
   public FixedHook(float hight){
      super(id++);
      pos_t = hight;
      springs = new Vector<Spring>();
   }
   public void attachSpring (Spring spring) {
     springs.add(spring);
   }
   public void detachSpring (Spring spring) {
     springs.remove(spring);
   }
   public double getPosition() {
      return pos_t;
   }
   public String getDescription() {
      return "FixedHook_" + getId()+": y";
   }
   public String getState() {
      return getPosition()+"";
   }
}
